zenilib: zenilib/jni/external/sdl/src/libm/k_sin.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
k_sin.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

| GET_HIGH_WORD (ix, x)
ix & | if (ix< 0x3e400000)
else return | x ((z *(half *y-v *r)-y)-v *S1)

## Variables

static double | half = 5.00000000000000000000e-01
int32_t | ix
int | iy
| r = S2 + z * (S3 + z * (S4 + z * (S5 + z * S6)))
static double | S1 = -1.66666666666666324348e-01
static double | S2 = 8.33333333332248946124e-03
static double | S3 = -1.98412698298579493134e-04
static double | S4 = 2.75573137070700676789e-06
static double | S5 = -2.50507602534068634195e-08
static double | S6 = 1.58969099521155010221e-10
| v = z * x
double attribute_hidden double | x
double attribute_hidden double | y
| z = x * x

## Function Documentation

GET_HIGH_WORD | ( | ix | ,
|  | x |
| ) |  |

ix& if | ( |  | ) |

Definition at line 76 of file k_sin.c.

else return x | ( | (z *(half *y-v *r)-y)-v * | S1 | ) |

## Variable Documentation

double half = 5.00000000000000000000e-01

static

Definition at line 54 of file k_sin.c.

int32_t ix

Initial value:
{
double z, r, v
v
const GLdouble * v
Definition: glew.h:1377
r
GLdouble GLdouble GLdouble r
Definition: glew.h:1392
z
GLint GLint GLint GLint z
Definition: gl2ext.h:1214

Definition at line 71 of file k_sin.c.

int iy

Definition at line 69 of file k_sin.c.

Referenced by __ieee754_atan2(), __ieee754_pow(), and SDLTest_DrawCharacter().

return x v* S1 z* r = S2 + z * (S3 + z * (S4 + z * (S5 + z * S6)))

Definition at line 82 of file k_sin.c.

double S1 = -1.66666666666666324348e-01

static

Definition at line 55 of file k_sin.c.

double S2 = 8.33333333332248946124e-03

static

Definition at line 56 of file k_sin.c.

double S3 = -1.98412698298579493134e-04

static

Definition at line 57 of file k_sin.c.

double S4 = 2.75573137070700676789e-06

static

Definition at line 58 of file k_sin.c.

double S5 = -2.50507602534068634195e-08

static

Definition at line 59 of file k_sin.c.

double S6 = 1.58969099521155010221e-10

static

Definition at line 60 of file k_sin.c.

v = z * x

Definition at line 81 of file k_sin.c.

double attribute_hidden double x

Definition at line 68 of file k_sin.c.

double attribute_hidden double y

Definition at line 68 of file k_sin.c.

z = x * x

Definition at line 80 of file k_sin.c.